Subject: Unicode Font file

From: Doug Schiffer <[email-masked]>
Date: Thu, 23 Dec 1993 08:27:00 -0500

On Mon 12-20-93,  6:18 pm, Liangsheng WU wrote:

 >From: "L.S.Ng" <ur-valhalla!soton.ac.uk!L.S.Ng1>
 >Is Unicode Font File for Chinese characters  available in the ftp site?

There is a 24x24 pixel Unicode font file available *somewhere* on
ifcss.org [129.107.1.155].  I had the exact directory also,
but alas, I've misplaced it.  The filename is 'UNIHAN24.ZIP'

Some caveats:  It was assembled piecemeal from existing GB, Big5, JIS
and CCCII font sets.  As such, there is not a uniform style to the
characters.  The problem is especially acute with the CCCII characters
which were "resampled" from a larger 64x64 pixel characters and
are therefore of especially poor quality.

There's also a good number of (1600?) characters missing.

 >If yes, I am ready to support Unicode for Chinese programming. Also, we
 >can make use of the Extended GB code now.

I though of the same thing with regard to the extended GB sets.  You
could extract a good number of them from a good Unicode font file.
But Unicode doesn't include every extended GB character, just a
subset.

 >If not, it doesn't make sense to support Unicode for in the first place,
 >it would be impossible to do that.

I think the main thing holding Unicode back is the un-availability of
font files.  One good complete 24x24 pixel font would be enough.
An outline font would make Unicode really take off.

[Of course, there'd be problems with Arabic and Indian languages, as they
need multiple characters for each Unicode codepoint.]

        Doug Schiffer